.SingleProductContainer {
    &__delivery-time,
    &__return-time {
        margin-top: 16px;
    }

    .fpf-fields-config-wrapper {
        display: none;
    }

    .woocommerce-product-gallery {
        position: relative;
    }

    .woocommerce-product-gallery__trigger {
        position: absolute;
        right: 10px;
        top: 10px;
        z-index: 10;
    }

    .product_title {
        line-height: 1.3;
    }

    .woocommerce-product-rating {
        margin-top: 20px;
    }

    .price {
        @include fontSize(14);
        color: theme('colors.primary');
        display: flex;
        flex-direction: column;
        font-weight: 400;
        justify-content: flex-start;
        margin: 20px 0;

        bdi {
            @include fontSize(18);
            font-weight: 700;
        }

        del {
            color: #a7a7a7;
            order: 1;

            bdi {
                @include fontSize(14);
            }
        }

        ins {
            font-weight: 700;
            order: 2;
            text-decoration: none;

            bdi {
                color: theme('colors.secondary');
            }
        }
    }

    .woocommerce-product-details__short-description {
        margin: 30px 0;
    }

    form.cart {
        // align-items: center;
        // display: flex;

        input.qty {
            margin-right: 30px;
        }
    }

    form.variations_form {
        align-items: flex-start;
        display: flex;
        flex-direction: column;

        .single_variation_wrap {
            margin-top: 20px;

            // .woocommerce-variation-add-to-cart {
            //     align-items: center;
            //     display: flex;
            // }
        }
    }

    .product_meta {
        margin-top: 30px;

        > span {
            display: block;
            margin-bottom: 10px;
        }
    }
}

.WoocommerceTabs {
    margin: 50px 0;

    &__container {
        align-items: center;
        display: flex;
        margin-bottom: 30px;
    }

    &__single-tab {
        border-bottom: 2px solid transparent;

        &:not(:last-of-type) {
            margin-right: 20px;
        }

        &.active {
            border-color: theme('colors.primary');
        }
    }

    &__panel {
        h2 {
            display: none;
        }
    }

    #comments {
        margin-bottom: 30px;

        .commentlist {
            .comment_container {
                display: flex;

                img {
                    margin-right: 15px;
                    width: 90px;
                }
            }

            .star-rating,
            .meta {
                margin-bottom: 10px;
            }

            .review {
                margin-bottom: 30px;
            }
        }
    }

    #review_form_wrapper {
        .comment-form-comment {
            display: flex;
            flex-direction: column;
        }

        #commentform {
            margin-top: 20px;

            > * {
                margin-bottom: 20px;
            }

            p.stars {
                a {
                    position: relative;
                    height: 1em;
                    width: 1em;
                    text-indent: -999em;
                    display: inline-block;
                    text-decoration: none;

                    &::before {
                        display: block;
                        position: absolute;
                        top: 0;
                        left: 0;
                        width: 1em;
                        height: 1em;
                        line-height: 1;
                        font-family: 'Woocommerce';
                        content: '\e021';
                        text-indent: 0;
                    }

                    &:hover ~ a::before {
                        content: '\e021';
                    }
                }

                &:hover a::before {
                    content: '\e020';
                }

                &.selected {
                    a.active {
                        &::before {
                            content: '\e020';
                        }

                        ~ a::before {
                            content: '\e021';
                        }
                    }

                    a:not(.active)::before {
                        content: '\e020';
                    }
                }
            }
        }

        #submit {
            @extend .Button;
        }
    }
}
